<?php
/**
 * @file
 * Administration settings for Tealium.
 */


/**
 * @return array
 *  Drupal form API array
 */
function tealium_admin_form() {
  $form = array();

  $form['tealium'] = array(
    '#type'        => 'fieldset',
    '#title'       => t('Tealium settings'),
    '#description' => t('Login to !tealium_site_link if you are unsure what any of these settings are.',
      array('!tealium_site_link' => '<a href="https://my.tealiumiq.com/">Tealium IQ</a>')
    ),
    '#collapsible' => FALSE,
  );

  $form['tealium']['tealium_account'] = array(
    '#type'          => 'textfield',
    '#title'         => t('Tealium account'),
    '#default_value' => variable_get('tealium_account', TEALIUM_DEFAULT_ACCOUNT),
    '#size'          => 20,
    '#required'      => TRUE,
  );

  $form['tealium']['tealium_profile'] = array(
    '#type'          => 'textfield',
    '#title'         => t('Tealium profile'),
    '#description'   => t('For multi-site configurations, set %variable_name in the %settings_file.',
      array(
        '%settings_file' => 'sites/domain.name/settings.php',
        '%variable_name' => '$conf[\'tealium_profile\']',
      )
    ),
    '#default_value' => variable_get('tealium_profile', TEALIUM_DEFAULT_PROFILE),
    '#size'          => 20,
    '#required'      => TRUE,
  );

  $tealium_environment_options = array(
    'dev'  => t('Development'),
    'qa'   => t('Testing / QA'),
    'prod' => t('Production'),
  );

  $form['tealium']['tealium_environment'] = array(
    '#type'          => 'radios',
    '#title'         => t('Tealium environment'),
    '#description' => t('For server specific configurations, you could set %variable_name in the %settings_file.',
      array(
        '%settings_file' => 'sites/default/settings.php',
        '%variable_name' => '$conf[\'tealium_environment\']',
      )
    ),
    '#default_value' => variable_get('tealium_environment', TEALIUM_DEFAULT_ENVIRONMENT),
    '#options'       => $tealium_environment_options,
    '#required'      => TRUE,
  );

  return system_settings_form($form);
}
